classdef SCDclass_mdsparscalartaridx < SCDclass_mdspar
    % A constant real (single) MDS+ parameter
    % target position is specified
    
    properties
        targetidx
    end
    
    methods
        
        function obj=SCDclass_mdsparscalartaridx(srctdimodel, destparam, targetidx, varargin)        
            obj@SCDclass_mdspar();
            % Constructor parser customization definitions here
            obj=obj.parseconstructor(srctdimodel, destparam, varargin);
            % Constructor parser customization results here
            obj.targetidx=targetidx;
            obj.classname=mfilename;
        end
        
        function actualizedata(obj, shot) 
            obj=obj.preactualizecommon(shot);
            if ~obj.actualizable, return; end
            obj.assignstring=sprintf('%s(%d)=%s;',obj.assignvar,obj.targetidx,obj.getcommand);
            obj.caststring=sprintf('%s=single(%s);',obj.assignvar,obj.assignvar);
            obj.postactualizecommon(shot);       
        end

        function [obj, value] = getdata(obj, shot)
            [obj,value]=obj.getdatacommon(shot);
            value=single(value);   
        end
  
        function printinfo(obj)
            printinfo@SCDclass_mdspar(obj);
            fprintf('  Target index is: %d\n',obj.targetidx);
        end
                
        function entrystring = genMARTe2entry(obj, shot)
            entrystring =sprintf('%s Idx=%d}',obj.genMARTe2entrycommon(shot),obj.targetidx);
        end
        
        function out = casttomds(obj, in)
            warning('SCDclass_mdsparscalartaridx:casttomdserror','Cast to mds not available for this class.');
            out = [];
        end
       
    end
end

