classdef SCDclass_mdsparvectorint < SCDclass_mdspar
    % A constant 1D vector integer (int32) MDS+ parameter
    
    properties
    end
    
    methods
        
        function obj=SCDclass_mdsparvectorint(srctdimodel, destparam, varargin)
            obj@SCDclass_mdspar();
            % Constructor parser customization definitions here
            obj=obj.parseconstructor(srctdimodel, destparam, varargin);
            % Constructor parser customization results here
            obj.classname=mfilename;
            obj.marteclassname='MDSParVectorInt';
        end
        
        function actualizedata(obj, shot)             
            obj=obj.preactualizecommon(shot);
            if ~obj.actualizable, return; end
            obj.caststring=sprintf('%s=int32(%s);',obj.assignvar,obj.assignvar);
            obj.postactualizecommon(shot);
        end
        
        function [obj, value] = getdata(obj,shot)
              [obj,value]=obj.getdatacommon(shot);
              value=single(value);
        end
        
        function printinfo(obj)
            printinfo@SCDclass_mdspar(obj);
        end
        
        function entrystring = genMARTe2entry(obj, shot)
            entrystring=[obj.genMARTe2entrycommon(shot) ' }'];
        end
      
        function out = casttomds(obj, in)
            out = int32(in);
        end
    end
end

